Subject: bug#10953: Potential logical bug in readtokens.c

From: Xu Zhongxing <[email-masked]>
Date: Tue, 06 Mar 2012 13:58:59 +0800

Hi,

I think I found a potential bug. But I am not sure about it. It looks
real from the code.

For coreutils 8.15, in file readtokens.c, function readtoken()

If delim is NULL, and saved_delim is not NULL, then the condition on
line 75 is not satisfied, but the condition on line 79 is satisfied.

In this case, there could be NULL pointer deference for delim[i] in line 84.

- Zhongxing Xu